Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkActor Class Reference

`#include <vtkActor.h>`

Inheritance diagram for vtkActor:

[legend]
Collaboration diagram for vtkActor:

[legend]
List of all members.

## Detailed Description

represents an object (geometry & properties) in a rendered scene

Date:
  2003/01/21 20:02:55

Revision:
  1.98

vtkActor is used to represent an entity in a rendering scene. It inherits functions related to the actors position, and orientation from vtkProp. The actor also has scaling and maintains a reference to the defining geometry (i.e., the mapper), rendering properties, and possibly a texture map. vtkActor combines these instance variables into one 4x4 transformation matrix as follows: [x y z 1] = [x y z 1] Translate(-origin) Scale(scale) Rot(y) Rot(x) Rot (z) Trans(origin) Trans(position)

See also:
  vtkProperty vtkTexture vtkMapper vtkAssembly vtkFollower vtkLODActor

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (43%)
  - Schroeder, Will (25%)
  - Avila, Lisa (12%)
  - Law, Charles (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkActor.cxx)`
  - .`h` (`/Rendering/vtkActor.h)`

Examples:
  vtkActor (Examples)

Tests:
  vtkActor (Tests)

Definition at line 66 of file vtkActor.h.

## Public Types
typedef vtkProp3D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | GetActors (vtkPropCollection *)
virtual void | Render (vtkRenderer *, vtkMapper *)
void | ShallowCopy (vtkProp *prop)
void | ReleaseGraphicsResources (vtkWindow *)
virtual vtkProperty * | MakeProperty ()
virtual void | SetMapper (vtkMapper *)
virtual void | ApplyProperties ()
unsigned long int | GetMTime ()
virtual unsigned long | GetRedrawMTime ()
virtual int | RenderOpaqueGeometry (vtkViewport *viewport)
virtual int | RenderTranslucentGeometry (vtkViewport *viewport)
void | SetProperty (vtkProperty *lut)
vtkProperty * | GetProperty ()
void | SetBackfaceProperty (vtkProperty *lut)
vtkProperty * | GetBackfaceProperty ()
virtual void | SetTexture (vtkTexture *)
virtual vtkTexture * | GetTexture ()
virtual vtkMapper * | GetMapper ()
void | GetBounds (float bounds[6])
float * | GetBounds ()
virtual void | InitPartTraversal ()
virtual vtkActor * | GetNextPart ()
virtual int | GetNumberOfParts ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkActor * | SafeDownCast (vtkObject *o)
vtkActor * | New ()
## Protected Methods
| vtkActor ()
| ~vtkActor ()
int | GetIsOpaque ()
## Protected Attributes
vtkProperty * | Property
vtkProperty * | BackfaceProperty
vtkTexture * | Texture
vtkMapper * | Mapper
float | MapperBounds [6]
vtkTimeStamp | BoundsMTime

## Member Typedef Documentation

typedef vtkProp3D vtkActor::Superclass

| Reimplemented from vtkProp3D. Reimplemented in vtkFollower, vtkLODActor, vtkMesaActor, and vtkOpenGLActor. Definition at line 69 of file vtkActor.h.

## Constructor & Destructor Documentation

vtkActor::vtkActor | ( |  | ) | `[protected]`

vtkActor::~vtkActor | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkActor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProp3D. Reimplemented in vtkFollower, vtkLODActor, vtkMesaActor, and vtkOpenGLActor.

int vtkActor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProp3D. Reimplemented in vtkFollower, vtkLODActor, vtkMesaActor, and vtkOpenGLActor.

virtual int vtkActor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProp3D. Reimplemented in vtkFollower, vtkLODActor, vtkMesaActor, and vtkOpenGLActor.

vtkActor* vtkActor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProp3D. Reimplemented in vtkFollower, vtkLODActor, vtkMesaActor, and vtkOpenGLActor.

void vtkActor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProp3D. Reimplemented in vtkFollower, vtkLODActor, vtkMesaActor, and vtkOpenGLActor.

vtkActor* vtkActor::New | ( |  | ) | `[static]`

| Creates an actor with the following defaults: origin(0,0,0) position=(0,0,0) scale=(1,1,1) visibility=1 pickable=1 dragable=1 orientation=(0,0,0). No user defined matrix and no texture map. Reimplemented from vtkObject. Reimplemented in vtkFollower, vtkLODActor, vtkMesaActor, and vtkOpenGLActor.

virtual void vtkActor::GetActors | ( | vtkPropCollection * |  | ) | `[virtual]`

| For some exporters and other other operations we must be able to collect all the actors or volumes. These methods are used in that process. Reimplemented from vtkProp.

virtual int vtkActor::RenderOpaqueGeometry | ( | vtkViewport * | viewport | ) | `[virtual]`

| Support the standard render methods. Reimplemented from vtkProp. Reimplemented in vtkFollower, and vtkLODActor.

virtual int vtkActor::RenderTranslucentGeometry | ( | vtkViewport * | viewport | ) | `[virtual]`

| Support the standard render methods. Reimplemented from vtkProp. Reimplemented in vtkFollower.

virtual void vtkActor::Render | ( | vtkRenderer * | ,
|  | vtkMapper * |
| ) | `[inline, virtual]`

| This causes the actor to be rendered. It in turn will render the actor's property, texture map and then mapper. If a property hasn't been assigned, then the actor will create one automatically. Note that a side effect of this method is that the pipeline will be updated. Reimplemented in vtkLODActor, vtkMesaActor, and vtkOpenGLActor. Definition at line 93 of file vtkActor.h.

void vtkActor::ShallowCopy | ( | vtkProp * | prop | ) | `[virtual]`

| Shallow copy of an actor. Overloads the virtual vtkProp method. Reimplemented from vtkProp3D. Reimplemented in vtkFollower, and vtkLODActor.

void vtkActor::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this actor. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkProp. Reimplemented in vtkLODActor.

void vtkActor::SetProperty | ( | vtkProperty * | lut | ) |

| Set/Get the property object that controls this actors surface properties. This should be an instance of a vtkProperty object. Every actor must have a property associated with it. If one isn't specified, then one will be generated automatically. Multiple actors can share one property object.

vtkProperty* vtkActor::GetProperty | ( |  | ) |

| Set/Get the property object that controls this actors surface properties. This should be an instance of a vtkProperty object. Every actor must have a property associated with it. If one isn't specified, then one will be generated automatically. Multiple actors can share one property object.

virtual vtkProperty* vtkActor::MakeProperty | ( |  | ) | `[virtual]`

| Create a new property sutible for use with this type of Actor. For example, a vtkMesaActor should create a vtkMesaProperty in this function. The default is to just call vtkProperty::New. Reimplemented in vtkMesaActor.

void vtkActor::SetBackfaceProperty | ( | vtkProperty * | lut | ) |

| Set/Get the property object that controls this actors backface surface properties. This should be an instance of a vtkProperty object. If one isn't specified, then the front face properties will be used. Multiple actors can share one property object.

vtkProperty* vtkActor::GetBackfaceProperty | ( |  | ) |

| Set/Get the property object that controls this actors backface surface properties. This should be an instance of a vtkProperty object. If one isn't specified, then the front face properties will be used. Multiple actors can share one property object.

virtual void vtkActor::SetTexture | ( | vtkTexture * |  | ) | `[virtual]`

| Set/Get the texture object to control rendering texture maps. This will be a vtkTexture object. An actor does not need to have an associated texture map and multiple actors can share one texture.

virtual vtkTexture* vtkActor::GetTexture | ( |  | ) | `[virtual]`

| Set/Get the texture object to control rendering texture maps. This will be a vtkTexture object. An actor does not need to have an associated texture map and multiple actors can share one texture.

virtual void vtkActor::SetMapper | ( | vtkMapper * |  | ) | `[virtual]`

| This is the method that is used to connect an actor to the end of a visualization pipeline, i.e. the mapper. This should be a subclass of vtkMapper. Typically vtkPolyDataMapper and vtkDataSetMapper will be used.

virtual vtkMapper* vtkActor::GetMapper | ( |  | ) | `[virtual]`

| Returns the Mapper that this actor is getting its data from.

void vtkActor::GetBounds | ( | float | bounds[6] | ) | `[inline]`

| Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The method GetBounds(float bounds[6]) is available from the superclass.) Reimplemented from vtkProp3D. Definition at line 150 of file vtkActor.h. References vtkProp3D::GetBounds().

float* vtkActor::GetBounds | ( |  | ) | `[virtual]`

| Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The method GetBounds(float bounds[6]) is available from the superclass.) Implements vtkProp3D.

virtual void vtkActor::ApplyProperties | ( |  | ) | `[inline, virtual]`

| Apply the current properties to all parts that compose this actor. This method is overloaded in vtkAssembly to apply the assemblies' properties to all its parts in a recursive manner. Typically the use of this method is to set the desired properties in the assembly, and then push the properties down to the assemblies parts with ApplyProperties(). Definition at line 160 of file vtkActor.h.

unsigned long int vtkActor::GetMTime | ( |  | ) | `[virtual]`

| Get the actors mtime plus consider its properties and texture if set. Reimplemented from vtkProp3D.

virtual unsigned long vtkActor::GetRedrawMTime | ( |  | ) | `[virtual]`

| Return the mtime of anything that would cause the rendered image to appear differently. Usually this involves checking the mtime of the prop plus anything else it depends on such as properties, textures etc. Reimplemented from vtkProp.

virtual void vtkActor::InitPartTraversal | ( |  | ) | `[virtual]`

| The following methods are for compatibility. The methods will be deprecated in the near future. Use vtkProp::GetNextPath() (and related functionality) to get the parts in an assembly (or more correctly, the paths in the assembly).

virtual vtkActor* vtkActor::GetNextPart | ( |  | ) | `[virtual]`

| The following methods are for compatibility. The methods will be deprecated in the near future. Use vtkProp::GetNextPath() (and related functionality) to get the parts in an assembly (or more correctly, the paths in the assembly).

virtual int vtkActor::GetNumberOfParts | ( |  | ) | `[virtual]`

| The following methods are for compatibility. The methods will be deprecated in the near future. Use vtkProp::GetNextPath() (and related functionality) to get the parts in an assembly (or more correctly, the paths in the assembly).

int vtkActor::GetIsOpaque | ( |  | ) | `[protected]`

## Member Data Documentation

vtkProperty* vtkActor::Property`[protected]`

| Definition at line 185 of file vtkActor.h.

vtkProperty* vtkActor::BackfaceProperty`[protected]`

| Definition at line 186 of file vtkActor.h.

vtkTexture* vtkActor::Texture`[protected]`

| Definition at line 187 of file vtkActor.h.

vtkMapper* vtkActor::Mapper`[protected]`

| Definition at line 188 of file vtkActor.h.

float vtkActor::MapperBounds[6]`[protected]`

| Definition at line 195 of file vtkActor.h.

vtkTimeStamp vtkActor::BoundsMTime`[protected]`

| Definition at line 196 of file vtkActor.h.

The documentation for this class was generated from the following file:

- Rendering/vtkActor.h